Bug 167581 - file /usr/lib/tclConfig.sh does not exist
Summary: file /usr/lib/tclConfig.sh does not exist
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
(Show other bugs)
Version: 4
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-05 21:23 UTC by Christian Gonzalez
Modified: 2013-07-03 03:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 21:28:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Gonzalez 2005-09-05 21:23:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; es-AR; rv:1.7.10) Gecko/20050717 Firefox/1.0.6

Description of problem:
when I try to compile postgresql-src with tcl option I got have the error 
/usr/lib/tclConfig.sh does not exist.

Version-Release number of selected component (if applicable):
tcl-devel-8.4.9-3

How reproducible:
Always

Steps to Reproduce:
1.wget http://download.fedora.redhat.com/pub/fedora/linux/core/4/x86_64/os/SRPMS/postgresql-8.0.3-1.src.rpm
wget http://download.fedora.redhat.com/pub/fedora/linux/core/4/x86_64/os/SRPMS/postgresql-odbc-08.00.0100-1.src.rpm
rpm -ivh postgresql-*.rpm
2.rpm -ivh postgresql-*.rpm

3.cd /usr/src/redhat/SPECS/
rpmbuild -bc postgresql.spec
  

Actual Results:  ...
checking for tclsh... /usr/bin/tclsh
checking for tclConfig.sh... no
configure: error: file 'tclConfig.sh' is required for Tcl
error: Bad exit status from /var/tmp/rpm-tmp.8976 (%build)
....

Additional info:

Comment 1 Jens Petersen 2005-09-29 08:39:13 UTC
It's ok for me, at least when tcl-devel is installed.

Re-assigning to postgresql.

Comment 2 Tom Lane 2005-09-29 14:28:36 UTC
The current postgresql srpm definitely has
Buildrequires: tcl-devel
Now this is inside an %if, but AFAICS it should be invoked by default.
Do you perhaps have rpmmacros set up to define one of the backward-compatibility
symbols that would disable it (build6x, build7x, build8)?

Comment 3 John Thacker 2006-05-05 21:28:31 UTC
Closing due to lack of response by reporter.


Note You need to log in before you can comment on or make changes to this bug.